# Test a specific version of a meter Test a specific version of a meter in Zuora Mediation without executing a full run. It supports multiple input methods, including uploaded files, sample files, and manual test data. This is useful for validating meter logic and transformations before meter run. Endpoint: POST /meters/debug/{meterId}/{version} Version: 2026-02-20 Security: bearerAuth ## Path parameters: - `meterId` (integer, required) The ID of the meter to be tested. - `version` (string, required) The version of the meter to be tested. ## Header parameters: - `Content-Type` (string, required) Specify the content type of the request body. Use application/json. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Request fields (application/json): - `sourceOptions` (array) - `sourceOptions.processorId` (string) The source operator ID. Optional if there is only one local file source. - `sourceOptions.sampleFileId` (integer) Test meter with event definition sample file, specified by the ID. - `sourceOptions.localFileId` (integer) Test meter with uploaded file, specified by the ID. - `sourceOptions.testData` (array) Test meter with manually input data. - `sourceOptions.testData.Amount` (number) Amount - `sourceOptions.testData.Quantity` (number) Quantity - `sourceOptions.testData.UsageDate` (string) UsageDate - `sourceOptions.testData.CostCenter` (string) CostCenter - `sourceOptions.testData.CustomerId` (string) CustomerId - `sourceOptions.testData.UsageIdentifier` (string) UsageIdentifier - `sourceOptions.saveTestData` (boolean) Whether to save the test data. - `sourceOptions.testDataName` (string) The name of the test data. - `sourceOptions.testDataId` (integer) Test meter with previously saved test data, specified by the ID. - `eventStoreSourceOptions` (array) - `eventStoreSourceOptions.processorId` (string) The source operator ID for event store. - `eventStoreSourceOptions.startDate` (string) The start date of the event store to query from, e.g., 2025-01-01. - `eventStoreSourceOptions.endDate` (string) The end date of the event store to query to, e.g., 2025-02-01. ## Response 200 fields (application/json): - `id` (string) Internal run history ID, unique within tenant. - `sessionId` (string) The corresponding session ID of this run. - `jobId` (string) The corresponding job ID of this run. - `meterId` (integer) The meter ID. - `version` (string) The version of the meter. - `revision` (integer) The revision of the meter version when it runs. - `runType` (integer) The run type of the meter (1 for NORMAL, 2 for DEBUG). - `runTypeDescription` (string) Description of the run type. - `startTime` (string) The start time of the run in ISO 8601 format. - `endTime` (string) The end time of the run in ISO 8601 format. - `runStatus` (string) The status of the run (e.g., NEVER_RUN, TESTING, FAILED). - `runStatusDescription` (string) Description of the run status. - `canExportSummary` (boolean) Whether the summary is ready to export. - `hasLineageEnabled` (boolean) Whether lineage is enabled for this run. ## Response 400 fields (application/json): - `errors` (array) - `errors.code` (string) Machine-readable error code identifying the failure type. - `errors.message` (string) Human-readable description of the error that provides more context about what went wrong. - `success` (boolean) ## Response 401 fields (application/json): - `success` (boolean) Whether the API request has succeeded or not. - `data` (object) Detailed response information for successful requests (e.g., instance info, job details). - `data.id` (string) The instance ID. - `data.sessionId` (string) The session ID of the meter instance. - `data.jobId` (string) The job ID of the meter instance. - `data.meterId` (integer) The ID of the meter. - `data.version` (string) The meter version. - `data.revision` (string) The meter revision. - `data.runType` (integer) The run type of the instance. - `data.runTypeDescription` (string) The description of the run type. - `data.startTime` (string) The start time of the instance. - `data.status` (integer) The job status of the instance. - `data.statusDescription` (string) The status description of the instance. - `data.canExportSummary` (boolean) Whether the instance can export summary information (internal usage). - `data.hasLineageEnabled` (boolean) Whether lineage is enabled for the meter (internal usage). - `error` (object) Contains error details when the request fails. - `error.code` (string) The error reason code (e.g., "70002006" for authorization errors). - `error.message` (string) A human-readable description of the error. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response